using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace atakanozbancom.Models.classes
{
    [Table("affiliatelinks")]
    public class affiliatelink
    {
        [Key]
        public int id { get; set; }

        [Required, StringLength(500)]
        [Column("image")]
        public string image { get; set; }

        [Required, StringLength(200)]
        [Column("title")]
        public string title { get; set; }

        [StringLength(500)]
        [Column("description")]
        public string description { get; set; }

        [Required, StringLength(1000)]
        [Column("url")]
        public string url { get; set; }

        [Column("sortorder")]
        public int sort_order { get; set; } = 0;

        public virtual ICollection<affiliatelinktranslation> Translations { get; set; }
    }
}
